# Yahoo! UI Library

### DataTable Widget 2.2.2

Yahoo! UI Library > datatable > ColumnEditor

## Class ColumnEditor

The ColumnEditor defines and manages inline editing functionality for a DataTable Column.

### Constructor

ColumnEditor `( elCell , oRecord , oColumn )`

Parameters:
  `elCell <HTMLElement>` The cell to edit.
  `oRecord <YAHOO.widget.Record>` The DataTable Record of the cell.
  `oColumn <YAHOO.widget.Column>` The DataTable Column of the cell.

### Properties

#### _nCount `- static Number`

Internal instance counter.
Default Value: 0

#### column `- YAHOO.widget.Column`

Reference to the ColumnEditor's Column instance.

#### container `- HTMLElement`

Reference to the container DOM element for the ColumnEditor.

#### input `- HTMLElement || HTMLElement[]`

Reference to form element(s) of the ColumnEditor.

#### type `- String`

Type of editor: "textbox", etc.

### Methods

#### createTextareaEditor

`HTML createTextareaEditor ( )`
Creates a textarea editor in the DOM.

Returns: `HTML`
  ???

#### createTextboxEditor

`HTML createTextboxEditor ( )`
Creates a textbox editor in the DOM.

Returns: `HTML`
  ???

#### getTextareaEditorValue

`void getTextareaEditorValue ( )`
Returns ColumnEditor value

Returns: `void`
  String

#### getTextboxEditorValue

`void getTextboxEditorValue ( )`
Returns ColumnEditor value

Returns: `void`
  String

#### getValue

`void getValue ( )`
Returns ColumnEditor data value.

Returns: `void`
  Object

#### hide

`void hide ( )`
Hides ColumnEditor

Returns: `void`

#### moveContainerTo

`void moveContainerTo ( elCell )`
Positions container over given element, aligning upper-left corners.

Parameters:
  `elCell <HTMLElement>` The element.

Returns: `void`

#### show

`void show ( elCell , oRecord , oColumn )`
Shows ColumnEditor.

Parameters:
  `elCell <HTMLElement>` The cell to edit.
  `oRecord <YAHOO.widget.Record>` The DataTable Record of the cell.
  `oColumn <YAHOO.widget.Column>` The DataTable Column of the cell.

Returns: `void`

#### showTextareaEditor

`void showTextareaEditor ( elCell , oRecord , oColumn )`
Shows textarea.

Parameters:
  `elCell <HTMLElement>` The cell to edit.
  `oRecord <YAHOO.widget.Record>` The DataTable Record of the cell.
  `oColumn <YAHOO.widget.Column>` The DataTable Column of the cell.

Returns: `void`

#### showTextboxEditor

`void showTextboxEditor ( elCell , oRecord , oColumn )`
Shows textbox.

Parameters:
  `elCell <HTMLElement>` The cell to edit.
  `oRecord <YAHOO.widget.Record>` The DataTable Record of the cell.
  `oColumn <YAHOO.widget.Column>` The DataTable Column of the cell.

Returns: `void`

Copyright © 2007 Yahoo! Inc. All rights reserved.